// 底部导航
import request from '@/utils/request'

//获取并搜索底部导航
export const getFooterCategory = (data) => {
    return request({
        url: '/footer/getFooterCategory',
        method: 'post',
        data
    })
}

//添加底部导航
export const getTemplateClass = (data) => {
    return request({
        url: '/footer/addFooterCategory',
        method: 'post',
        data
    })
}

//更新底部导航
export const upFooterCategory = (data) => {
    return request({
        url: '/footer/upFooterCategory',
        method: 'post',
        data
    })
}

//删除底部导航
export const delFooterCategory = (data) => {
    return request({
        url: '/footer/delFooterCategory',
        method: 'post',
        data
    })
}


//底部导航列表  -------------------------------------
//添加导航列表
export const addFooterContent = (data) => {
    return request({
        url: '/footer/addFooterContent',
        method: 'post',
        data
    })
}

//搜索并获取列表
export const getFooterContent = (data) => {
    return request({
        url: '/footer/getFooterContent',
        method: 'post',
        data
    })
}

//修改导航列表
export const upFooterContent = (data) => {
    return request({
        url: '/footer/upFooterContent',
        method: 'post',
        data
    })
}

//删除导航列表
export const delFooterContent = (data) => {
    return request({
        url: '/footer/delFooterContent',
        method: 'post',
        data
    })
}
